Summary: Random tagline/.sig chooser
Name: huggietag
Version: 0.8.4
Release: 1
Copyright: GPL
Group: Applications/Mail
Source: http://ds.dial.pipex.com/huggie/progs/huggietag/huggietag-0.8.4.tar.gz
BuildRoot: /tmp/huggietag-build
Packager: Jonathan McDowell <noodles@earth.li>
Vendor: Project Purple
URL: http://ds.dial.pipex.com/huggie/progs/huggietag/

%description
HuggieTag adds taglines to messages or steals them from messages. It can
also be persuaded to add a signature file. It will substitute macros for
the from name if it can find it and will reformat the tag so it fits
across the screen.

%changelog
* Thu Apr 08 1999 Simon Huggins <huggie@earth.li>
- Fixed config file parsing bug

* Wed Apr 07 1999 Simon Huggins <huggie@earth.li>
- Upgraded to version 0.8.1

* Tue Jan 12 1999 Jonathan McDowell <noodles@earth.li>
- Packaged as an rpm.

%prep
%setup

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/huggietag
install -m755 tags $RPM_BUILD_ROOT/usr/bin/tags
install -m755 man/tags.1 $RPM_BUILD_ROOT/usr/man/man1/tags.1
install -m755 man/huggietag.1 $RPM_BUILD_ROOT/usr/man/man1/huggietag.1
install -m644 taglines.tag $RPM_BUILD_ROOT/usr/share/huggietag/taglines.tag

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/bin/tags
%attr(-,root,root) /usr/man/man1/tags.1
%attr(-,root,root) /usr/man/man1/huggietag.1
%attr(-,root,root) /usr/share/huggietag/taglines.tag

%doc ACKNOWLEDGEMENTS Errorlevels HISTORY INSTALL LICENSE README TODO
%doc sample.htrc sample.sig
